Package com.destroystokyo.paper.utils

# Class CachedSizeConcurrentLinkedQueue<E>

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractQueue<E>
java.util.concurrent.ConcurrentLinkedQueue<E>
com.destroystokyo.paper.utils.CachedSizeConcurrentLinkedQueue<E>

All Implemented Interfaces:
  `Serializable`, `Iterable<E>`, `Collection<E>`, `Queue<E>`

public class CachedSizeConcurrentLinkedQueue<E> extends ConcurrentLinkedQueue<E>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CachedSizeConcurrentLinkedQueue()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`add(E e)`
`E`
`poll()`
`int`
`size()`

### Methods inherited from class java.util.concurrent.ConcurrentLinkedQueue

`addAll, clear, contains, forEach, isEmpty, iterator, offer, peek, remove, removeAll, removeIf, retainAll, spliterator, toArray, toArray, toString`

### Methods inherited from class java.util.AbstractQueue

`element, remove`

### Methods inherited from class java.util.AbstractCollection

`containsAll`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`containsAll, equals, hashCode, parallelStream, stream, toArray`

### Methods inherited from interface java.util.Queue

`element, remove`

## Constructor Details

### CachedSizeConcurrentLinkedQueue

public CachedSizeConcurrentLinkedQueue()

## Method Details

### add

public boolean add(@NotNull E e)

Specified by:
  `add` in interface `Collection<E>`
Specified by:
  `add` in interface `Queue<E>`
Overrides:
  `add` in class `ConcurrentLinkedQueue<E>`

### poll

@Nullable public E poll()

Specified by:
  `poll` in interface `Queue<E>`
Overrides:
  `poll` in class `ConcurrentLinkedQueue<E>`

### size

public int size()

Specified by:
  `size` in interface `Collection<E>`
Overrides:
  `size` in class `ConcurrentLinkedQueue<E>`